<?php


class PaDefault extends CustomPage {
	public function PaDefault(){
		$this->CustomPage();
	}
	public function OnPInitial(){
		$this->checkUser('1,2,3,');
		$this->sTable=array(
			array('sttTableName'=>$this->sysTableHead.'netssysmenu','sttColumnHead'=>'smet'),
			array('sttTableName'=>$this->sysTableHead.'netssysmenucont','sttColumnHead'=>'smect'),);
		$this->sUiName='Mana/nets/system_menuMana';
	}
	public function OnBInitial(){
		$this->sLimitCount=2;
		$this->sApp=new netssysmenu($this->sConnString);
		
		//-- ------ #ActionType ------ --
		if ($this->sActionType=='DMenuState') {
			$this->OnMenuState();
		}
		
		
	}
	public function OnMenuState(){
		$tmpAR0=$this->AnalyerRequest('DMenuState',0,0);
		$this->writeCookie($this->sysNormalCookiePath,$this->sysCookieHead.'Systemmenustate',$tmpAR0[0]);
		
		return 0;
	}
	
}
?>